/* ==================================== */
/*Если вы хотите создать  собственную функцию,  вместо ISR по умолчанию ,  нужно сделать  следующие шаги.*/

//	1. Описать нужные константы
//	2. объявить функцию с помощью CY_ISR_PROTO макро 
//	3. определить функцию CY_ISR макро:  
//	4. 	вызвать в main.c,  API isr_1_StartEx(...)  это  настраивает  адрес вектора прерывания 
//		из функции определенной пользователем,   которая передается как параметр функции isr_1_StartEx(....).	

//******************************* Буфер UART  не пуст   ********************************************************	
#include <device.h>
uint8 Data_In_Rx=0; 			// флаг наличия данных в буфере

CY_ISR_PROTO(ISR_UART);			// Interrupt routine declaration
CY_ISR(ISR_UART)				// Interrupt-Service-Routine definition
	{
	Data_In_Rx = 1;	  			// 
	}





//[] END OF FILE
